<template>
  <form action="">
    <div class="modal-card" style="width: auto">
      <header class="modal-card-head">
        <p class="modal-card-title">Login</p>
      </header>
      <section class="modal-card-body">
        <h2 class="subtitle has-text-danger">{{errorMessage}}</h2>

        <b-field label="Username">
          <b-input v-model="username" placeholder="username" required/>
        </b-field>

        <b-field label="Password">
          <b-input type="password" v-model="password" password-reveal placeholder="password" required/>
        </b-field>

        <b-button class="is-text is-small" disabled>forgot password ?</b-button >

      </section>
      <footer class="modal-card-foot">
        <button class="button is-primary" @click="onLogin">Login</button>
      </footer>
    </div>
  </form>
</template>

<script>
import { api } from '@/api.js'

export default {
  name: 'LoginForm',
  data () {
    return {
      username: '',
      password: '',
      errorMessage: null
    }
  },
  methods: {
    async onLogin () {
      var response = await api.login(this.username, this.password)
      console.log('LOGIN RESPONSE ' + response)
      if (response.error) {
        this.errorMessage = 'Username or password incorect'
      } else {
        console.log('LOGIN TOKEN OK')
        await localStorage.setItem('token', response.message)
        this.$parent.close()
        this.$router.push({ name: 'Account' })
        this.$router.go()
      }
    }
  }
}
</script>

<style scoped>

</style>
